# Version SVN: $Id: settings.yml 2872 2013-10-31 11:27:31Z sven.poeche $
prod:
  .settings:
    no_script_name:         true
    cache:                  true
    logging_enabled:        true
    etag:                   true

cli:
  .settings:
    error_reporting:        <?php print (E_ALL | E_STRICT)."\n" ?> # Workaround for new line
    web_debug:              false
    cache:                  false
    no_script_name:         false
    etag:                   false

dev:
  .settings:
    error_reporting:        <?php print (E_ALL | E_STRICT)."\n" ?> # Workaround for new line
    web_debug:              true
    cache:                  false
    no_script_name:         false
    etag:                   true

cache:
  .settings:
    error_reporting:        <?php print (E_ALL | E_STRICT)."\n" ?> # Workaround for new line
    web_debug:              true
    cache:                  true
    no_script_name:         false
    etag:                   true
    timeout:                3600

test:
  .settings:
    error_reporting:        <?php print ((E_ALL | E_STRICT) ^ E_NOTICE)."\n" ?> # Workaround for new line
    cache:                  false
    web_debug:              false
    no_script_name:         false
    etag:                   true

all:
  .settings:
    i18n:                   true
    default_culture:        en
    standard_helpers:       [Partial, Cache, Text, Date, Number, I18N, JavascriptBase, JavascriptJQuery, Number, JavascriptBase, JavascriptJQuery, Number, JavascriptBase, JavascriptJQuery, Number, JavascriptBase, JavascriptJQuery, Framework]
    enabled_modules:        [default, facebook, fblike, presets, template, transcoder, api, livestream, livestreamAPI, youtubeImport, paypalFrontend, captchagd, openid, swfuploadBatch, vimeoImport, twittershare, sso, googlemap, fbcomments, sitemap, advertisement, paymentFrontend, plusbutton, album, newsletterFrontend]

    error_404_module:       start     # To be called when a 404 error is raised
    error_404_action:       error404  # Or when the requested URL doesn't match any route

    login_module:           user      # To be called when a non-authenticated user
    login_action:           login     # Tries to access a secure page

    secure_module:          user      # To be called when a user doesn't have
    secure_action:          secure    # The credentials required for an action

    # Form security secret (CSRF protection)
    csrf_secret:            true      # Unique secret to enable CSRF protection or false to disable

    # Output escaping settings
    escaping_strategy:      false            # Determines how variables are made available to templates. Accepted values: on, off.
    escaping_method:        ESC_SPECIALCHARS # Function or helper used for escaping. Accepted values: ESC_RAW, ESC_ENTITIES, ESC_JS, ESC_JS_NO_ENTITIES, and ESC_SPECIALCHARS.

    enable_mailer:          false            # Enables/Disables symfonys internal Swift-Mailer class

#all:
#  .actions:
#    error_404_module:       default   # To be called when a 404 error is raised
#    error_404_action:       error404  # Or when the requested URL doesn't match any route
#
#    login_module:           default   # To be called when a non-authenticated user
#    login_action:           login     # Tries to access a secure page
#
#    secure_module:          default   # To be called when a user doesn't have
#    secure_action:          secure    # The credentials required for an action
#
#    module_disabled_module: default   # To be called when a user requests
#    module_disabled_action: disabled  # A module disabled in the module.yml
#
#  .settings:
#    # Optional features. Deactivating unused features boots performance a bit.
#    use_database:           true        # Enable database manager. Set to off if you don't use a database.
#    i18n:                   false       # Enable interface translation. Set to off if your application should not be translated.
#    check_symfony_version:  false       # Enable check of symfony version for every request. Set to on to have symfony clear the cache automatically when the framework is upgraded. Set to off if you always clear the cache after an upgrade.
#    compressed:             false       # Enable PHP response compression. Set to on to compress the outgoing HTML via the PHP handler.
#    check_lock:             false       # Enable the application lock system triggered by the clear-cache and disable tasks. Set to on to have all requests to disabled applications redirected to the $sf_symfony_data_dir/web/arrors/unavailable.php page.
#
#    # Output escaping settings
#    escaping_strategy:      bc        # Determines how variables are made available to templates. Accepted values: bc, both, on, off. The value off deactivates escaping completely and gives a slight boost.
#    escaping_method:        ESC_SPECIALCHARS # Function or helper used for escaping. Accepted values: ESC_RAW, ESC_ENTITIES, ESC_JS, ESC_JS_NO_ENTITIES, and ESC_SPECIALCHARS.
#
#    # Routing settings
#    no_script_name:         false       # Enable the front controller name in generated URLs
#
#    # Validation settings, used for error generation by the Validation helper
#    validation_error_prefix:    ' &darr;&nbsp;'
#    validation_error_suffix:    ' &nbsp;&darr;'
#    validation_error_class:     form_error
#    validation_error_id_prefix: error_for_
#
#    # Cache settings
#    cache:                  false       # Enable the template cache
#    etag:                   true        # Enable etag handling
#
#    # Logging and debugging settings
#    web_debug:              false       # Enable the web debug toolbar
#    error_reporting:        <?php print (E_PARSE | E_COMPILE_ERROR | E_ERROR | E_CORE_ERROR | E_USER_ERROR)."\n" ?> # Determines which events are logged.
#
#    # Assets paths
#    admin_web_dir:          /sf/sf_admin
#    web_debug_web_dir:      /sf/sf_web_debug
#
#    # Helpers included in all templates by default
#    standard_helpers:       [Partial, Cache]
#
#    # Activated modules from plugins or from the symfony core
#    enabled_modules:        [default, facebook, fblike, presets, template, transcoder, api, livestream, livestreamAPI, youtubeImport, paypalFrontend, captchagd, openid, swfuploadBatch, vimeoImport, twittershare, sso, googlemap, fbcomments, sitemap, advertisement, paymentFrontend, plusbutton, album, newsletterFrontend]
#
#    # Charset used for the response
#    charset:                utf-8
#
#    # Miscellaneous
#    url_format:             PATH
#
#    # Logging
#    logging_enabled:        true
#
#    # i18n
#    default_culture:        en        # Default user culture
